Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdPinpad

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdPinpad

    public class cmdPinpad
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdPinpad.unsuccessfulTransactionStatus` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdPinpad()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `checkRRN()` | The fiscal device keeps the RRN code from the last successful transaction.
  `com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdPinpad.TransactionData` | `getLastTransactionData()` |
  `com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdPinpad.TerminalInfo` | `getPaymentTerminalInformation()` |
  `cmdPinpad.unsuccessfulTransactionStatus` | `getUnsuccessfulTransactionStatus​(boolean[] dayClosingRequired)` |
  `boolean` | `printCopyReceiptByDateTime​(java.lang.String dateTime)` | Prints a copy of the receipt
  `boolean` | `printCopyReceiptByNumber​(int recNumber)` | Prints a copy of the receipt,
  `boolean` | `printLastSuccessfulTransaction()` | It is mainly used to print a receipt whose transaction was successful in the terminal and in the printer, but the receipt data was not printed successfully.
  `boolean` | `printLastSuccessfulTransactionPaymentTerminal()` | It can only be executed if a receipt is open and the last transaction is completed without a reply from a payment terminal.

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdPinpad

    public cmdPinpad()

- ## Method Details

  - ### getPaymentTerminalInformation

    public com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdPinpad.TerminalInfo getPaymentTerminalInformation() throws java.lang.Exception
    Returns:
    Throws:
      `java.lang.Exception`

  - ### getUnsuccessfulTransactionStatus

    public cmdPinpad.unsuccessfulTransactionStatus getUnsuccessfulTransactionStatus​(boolean[] dayClosingRequired) throws java.lang.Exception
    Parameters:
      `dayClosingRequired` - Returns true if it is necessary to end the day
    Returns:
      Transaction information that failed
    Throws:
      `java.lang.Exception`

  - ### checkRRN

    public boolean checkRRN() throws java.lang.Exception
    The fiscal device keeps the RRN code from the last successful transaction. If the last transaction was completed without a response from the payment terminal, during or without a printed receipt from the return purchase, the command compares the last recorded RRN code with that of the payment terminal. In the event of a malfunction, it returns an error and records from the payment terminal for verification with a command 95h(149): - type of transaction; - RRN code; - AC code; - amount; - the last four digits of the card number.
    Throws:
      `java.lang.Exception`

  - ### getLastTransactionData

    public com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdPinpad.TransactionData getLastTransactionData() throws java.lang.Exception
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printLastSuccessfulTransaction

    public boolean printLastSuccessfulTransaction() throws java.lang.Exception
    It is mainly used to print a receipt whose transaction was successful in the terminal and in the printer, but the receipt data was not printed successfully. It cannot be used in the same way as command 163 because the receipt is then printed after the fiscal receipt has been closed. The command is forbidden in an open fiscal receipt.
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printLastSuccessfulTransactionPaymentTerminal

    public boolean printLastSuccessfulTransactionPaymentTerminal() throws java.lang.Exception
    It can only be executed if a receipt is open and the last transaction is completed without a reply from a payment terminal. If the A4h command (164) has been executed before, or with card payment it will also be successfully rejected. The receipt is printed automatically after the fiscal receipt has been closed. Requires execution before returning command 148 for reference and return data collection.
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printCopyReceiptByNumber

    public boolean printCopyReceiptByNumber​(int recNumber) throws java.lang.Exception
    Prints a copy of the receipt,
    Parameters:
      `recNumber` - Global number of original receipt
    Returns:
    Throws:
      `java.lang.Exception`

  - ### printCopyReceiptByDateTime

    public boolean printCopyReceiptByDateTime​(java.lang.String dateTime) throws java.lang.Exception
    Prints a copy of the receipt
    Parameters:
      `dateTime` - Date and time of original receipt in format DDMMYYhhmmss.
    Returns:
    Throws:
      `java.lang.Exception`